Subject: Minor cd quirk

From: [email-masked]
Date: 17 Jun 1997 21:25:10 GMT

I think I've found a minor quirk in the behavior of cd
in wu-ftpd-2.4.2-beta-13 (goes for older versions too I think).
The quirk here is the result of a 'cd ~' command.
For me, one of the goals of using guestgroups and anon-ftp
is to obscure the rest of the system from the users. For example, 
knowing that they're actually a guestuser of a virtual server that's
located in /home/wu-ftpd/ftp.foo.com/root/ or something like that, isn't a
very big deal but not something that they need to be able to find out.
If I'm logged in as an anonymous or guestgroup user, cd / will take
me to the intended root just fine. cd ~ however will say something to the
effect of '/home/ftp not found'. Is this behaviour that's considered normal?

-- 
Perry Rovers ([email-masked])

---

From: Kent Landfield <[email-masked]>
Date: Tue, 17 Jun 1997 19:43:30 -0500 (CDT)

# I think I've found a minor quirk in the behavior of cd
# in wu-ftpd-2.4.2-beta-13 (goes for older versions too I think).
# The quirk here is the result of a 'cd ~' command.
# For me, one of the goals of using guestgroups and anon-ftp
# is to obscure the rest of the system from the users. For example, 
# knowing that they're actually a guestuser of a virtual server that's
# located in /home/wu-ftpd/ftp.foo.com/root/ or something like that, isn't a
# very big deal but not something that they need to be able to find out.
# If I'm logged in as an anonymous or guestgroup user, cd / will take
# me to the intended root just fine. cd ~ however will say something to the
# effect of '/home/ftp not found'. Is this behaviour that's considered normal?

Perry,

Please send this to Stan so that he can fix it. I too consider this
a non-normal "minor quirk". ;-) 

-- 
Kent Landfield                        Phone: 1-817-545-2502             
The Landfield Group                   FAX:   1-817-545-7650             
Email: [email-masked]             http://www.landfield.com/
Please send comp.sources.misc related mail to [email-masked].
Search the Usenet Hypertext FAQ Archive at http://www.faqs.org/faqs/